Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155751 - CAN-2005-1111 Race condition in cpio
Summary: CAN-2005-1111 Race condition in cpio
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: cpio
Version: fc3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact: Brock Organ
URL:
Whiteboard: impact=moderate,public=20050413,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 18:51 UTC by Josh Bressers
Modified: 2007-04-18 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 19:16:39 UTC


Attachments (Terms of Use)
patch fix cpio-2.6 race condition (deleted)
2005-04-25 13:06 UTC, Peter Vrabec
no flags Details | Diff

Description Josh Bressers 2005-04-22 18:51:29 UTC
+++ This bug was initially created as a clone of Bug #155749 +++

Race condition in cpio 2.6 and earlier allows local users to modify permissions
of arbitrary files via a hard link attack on a file while it is being
decompressed, whose permissions are changed by cpio after the decompression is
complete.

http://marc.theaimsgroup.com/?l=bugtraq&m=111342664116120&w=2

Comment 1 Peter Vrabec 2005-04-25 13:06:14 UTC
Created attachment 113628 [details]
patch fix cpio-2.6 race condition

I replaced some chown, chmod with fchmod and fchown. And close file descriptor
later.

Comment 2 Michal Jaegermann 2005-07-12 16:43:49 UTC
This bug is CLOSED RAWHIDE, and hopefuly fixed in cpio-2.6-7 from FC4 although
there is no explicit note to the effect in a changelog there, but I do not see
a security update for FC3 which would cover that bug and also CAN-2005-1229
(bug #156314) and this leaves those installations vulnerable.

Comment 3 Matthew Miller 2006-10-19 19:31:23 UTC
Reopening as per comment #2.

Comment 4 Matthew Miller 2006-10-19 19:32:53 UTC
also, confirming that this is fixed in FC4 and on.

Comment 5 Matthew Miller 2007-04-10 19:16:39 UTC
Fedora Core 3 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.


Note You need to log in before you can comment on or make changes to this bug.